
/**
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
import request from '../request'

// 手机号+验证码登录
const auth = (data) => {
	return request({
		url: 'auth/login_by_code',
		method: 'POST',
        data: data
	})
}

// 设置登录密码
const passSetup = (data) => {
	return request({
		url: 'auth/reset_password',
		method: 'POST',
		data: data
	})
}

// 手机号+密码登录
const passlogin = (data) => {
	return request({
		url: 'auth/login_by_password',
		method: 'POST',
		data: data
	})
}

// 注册
const register = (data) => {
	return request({
		url: 'auth/register',
		method: 'POST',
		data: data
	})
}

// 领取红包-发送短信-获取验证码
const send = (data) => {
	return request({
		url: 'sms/send',
		method: 'POST',
		data: data
	})
}

// 领取红包-领取
const unicom = (data) => {
	return request({
		url: 'unicom/get',
		method: 'POST',
		data: data
	})
}

export {
	auth,
    passSetup,
    passlogin,
	register,
    send,
    unicom
}
